Describe Role (V2)
This operation describes the details of a specified role.
The base URL for this API is in the following format:
https://${CLUSTER_ENDPOINT}
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.
The name of the role.
Name of the database. If not specified, the default database is used.
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/roles/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"roleName": "db_admin"
}'
A success response.
Response code.
Response payload which is a list of privilege items.
A privilege item.
The type of the object to which the privilege belongs.
The privilege that is granted to the role.
The name of the object to which the role is granted the specified privilege.
The name of the user who granted a specific role to a user.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": [
{
"dbName": "*",
"grantor": "db_admin",
"objectName": "*",
"objectType": "Collection",
"privilege": "IndexDetail"
},
{
"dbName": "*",
"grantor": "db_admin",
"objectName": "*",
"objectType": "Global",
"privilege": "DescribeCollection"
},
{
"dbName": "*",
"grantor": "db_admin",
"objectName": "*",
"objectType": "Global",
"privilege": "ShowCollections"
}
]
}